#ifndef TESTSIMPLEMATRIX_H_
#define TESTSIMPLEMATRIX_H_

#include <cxxtest/TestSuite.h>

#include "SimpleMatrix.h"

class SimpleMatrixCxxTest: public CxxTest::TestSuite {
public:
	void testDynCreatorDestructor() {
		SimpleMatrix* sm = new SimpleMatrix(4, 5);
		delete sm;
	}

	void testStackCreatorDestructor() {
		SimpleMatrix sm(5, 4);
		int value = 1;
		sm.getValue(2, 3, value);
		TS_ASSERT_EQUALS(value == 0, true);
	}

	void testSetValue() {
		SimpleMatrix sm(5, 4);
		sm.setValue(2, 3, 5);
		int value = 0;
		sm.getValue(2, 3, value);
		TS_ASSERT_EQUALS(value == 5, true);
	}


};

#endif /*TESTSIMPLEMATRIX_H_*/
